diff -ruN netboot.orig/Makefile netboot/Makefile
--- netboot.orig/Makefile	Wed Jan 19 15:10:43 2005
+++ netboot/Makefile	Wed Jan 19 16:57:41 2005
@@ -20,4 +20,9 @@
 MAN5=		netboot.5 netboot.config.5 netboot.drivers.5 netboot.db.5
 MAN8=		mknbi-mgl.8 makerom.8 mknbi-dos.8 mknbi-linux.8
 
+post-install:
+	@if [ ! -f ${PREFIX}/etc/netboot.config ]; then \
+		${CP} ${PREFIX}/etc/netboot.config-dist ${PREFIX}/etc/netboot.config; \
+	fi
+
 .include <bsd.port.mk>
diff -ruN netboot.orig/files/patch-misc::Makefile netboot/files/patch-misc::Makefile
--- netboot.orig/files/patch-misc::Makefile	Thu Jan  1 01:00:00 1970
+++ netboot/files/patch-misc::Makefile	Wed Jan 19 15:24:51 2005
@@ -0,0 +1,11 @@
+--- misc/Makefile.orig	Wed Jan 19 15:24:01 2005
++++ misc/Makefile	Wed Jan 19 15:24:27 2005
+@@ -77,7 +77,7 @@
+ 	$(INSTALL) -d $(sysconfdir)
+ 	$(INSTALL) -d $(nblibdir)
+ 	$(INSTALL) -d $(mandir)/man$(MANEXT)
+-	$(INSTALL) -m 644 -o bin -g bin $(nbconfig) $(sysconfdir)/$(nbconfig)
++	$(INSTALL) -m 644 -o bin -g bin $(nbconfig) $(sysconfdir)/$(nbconfig)-dist
+ 	$(INSTALL) -m 644 -o bin -g bin $(drivers) $(nblibdir)/$(drivers)
+ 	$(INSTALL) -m 644 -o bin -g bin netboot.man $(mandir)/man$(MANEXT)/netboot.$(MANEXT)
+ 	$(INSTALL) -m 644 -o bin -g bin $(nbconfig).man $(mandir)/man$(MANEXT)/$(nbconfig).$(MANEXT)
diff -ruN netboot.orig/pkg-plist netboot/pkg-plist
--- netboot.orig/pkg-plist	Wed Jan 19 15:10:40 2005
+++ netboot/pkg-plist	Wed Jan 19 15:57:01 2005
@@ -2,6 +2,9 @@
 bin/mknbi-dos
 bin/mknbi-linux
 bin/mknbi-mgl
+@unexec if cmp -s %D/etc/netboot.config %D/etc/netboot.config-dist; then rm -f %D/etc/netboot.config; fi
+etc/netboot.config-dist
+@exec [ -f %B/netboot.config ] || cp %B/%f %B/netboot.config
 lib/netboot/netboot.drivers
 lib/netboot/binaries/floppy.bin
 lib/netboot/binaries/floppy86.bin
